i make a box,but two fases are all at left of the box?

// i make a box as this:
TopoDS_Edge E1=BRepBuilderAPI_MakeEdge(gp_Pnt(10000,0,0),gp_Pnt(0,0,0));
TopoDS_Edge E2=BRepBuilderAPI_MakeEdge(gp_Pnt(10000,0,10000),gp_Pnt(10000,0,0));
TopoDS_Edge E3=BRepBuilderAPI_MakeEdge(gp_Pnt(0,0,10000),gp_Pnt(10000,0,10000));
TopoDS_Edge E4=BRepBuilderAPI_MakeEdge(gp_Pnt(0,0,0),gp_Pnt(0,0,10000));
BRepBuilderAPI_MakeWire SectionWire;
SectionWire.Add(E1);
SectionWire.Add(E2);
SectionWire.Add(E3);
SectionWire.Add(E4);

BRepBuilderAPI_MakeWire Wire;
TopoDS_Edge C=BRepBuilderAPI_MakeEdge(gp_Pnt(0,0,0),gp_Pnt(0,10000,0));
Wire.Add(C);
TopoDS_Face Sectionface = BRepBuilderAPI_MakeFace(SectionWire);

TopoDS_Shape S=BRepOffsetAPI_MakePipe(Wire,Sectionfac);
//after display,i find out two fases are all at left of the box
//why?

nandy's picture

sorry,"fases" should be "faces".

nandy's picture

sorry,"fases" should be "faces".